LSCPU(1)

BEZEICHNUNG
lscpu - Informationen zur Prozessorarchitektur anzeigen

ÜBERSICHT
lscpu [-a|-b|-c] [-x] [-s Verzeichnis] [-e[=Liste]|-p[=Liste]]
lscpu -h|-V

BESCHREIBUNG
lscpu beschafft Informationen zur CPU-Architektur aus sysfs und /proc/cpuinfo. Die Ausgabe des Befehls kann entweder für maschinelle Auswertung oder für bessere Lesbarkeit für den Benutzer optimiert werden. Die Informationen beinhalten beispielsweise die Anzahl der CPUs, Threads, Kerne, Sockets und »Non-Uniform Memory Access«(NUMA-)Knoten. Außerdem werden Informationen zu CPU-Zwischenspeichern und deren gemeinsamer Nutzung, Prozessorfamilie und -modell, bogoMIPS, Bytereihenfolge und Stepping bereitgestellt. Optionen, deren Ausgabe in Tabellenform dargestellt wird, haben ein Liste-Argument. Verwenden Sie dieses Argument zum Anpassen der Ausgabe an Ihre Erfordernisse. Geben Sie eine durch Kommata getrennte Liste von Spaltenüberschriften in der gewünschten Reihenfolge an, um die Ausgabe auf bestimmte Spalten zu beschränken. In SPALTEN finden Sie eine Liste der verfügbaren Spaltenüberschriften (für die Groß- oder Kleinschreibung nicht beachtet wird). Nicht alle Spalten werden auf allen Architekturen unterstützt. Wenn eine solche Spalte angegeben wird, zeigt lscpu diese an, stellt aber keine Daten zur Verfügung.

  SPALTEN
Beachten Sie, dass topologische Elemente (Kern, Socket, usw.) aufeinanderfolgende eindeutige IDs beginnend mit 0 verwenden, während logische CPU-Nummern vom Kernel vergeben werden, wobei die aufeinanderfolgende Nummerierung nicht gewährleistet werden kann.

CPU ist die logische CPU-Nummer einer CPU, so wie sie vom Linux-Kernel verwendet wird.

CORE
    ist die logische Kern-Nummer. Ein Kern kann mehrere CPUs enthalten.

SOCKET
    ist die logische Socket-Nummer. Ein Socket kann mehrere Kerne enthalten.

BOOK
    ist die logische Buch-Nummer. Ein Buch kann mehrere Sockets enthalten.

NODE
    ist die logische Nummer des NUMA-Knotens. Ein Knoten kann mehrere Bücher enthalten.

CACHE
    zeigt Informationen dazu an, wie Zwischenspeicher von mehreren CPUs gemeinsam genutzt werden.

ADDRESS
    ist die physikalische Adresse einer CPU.

ONLINE
    zeigt an, ob die Linux-Instanz die CPU gegenwärtig nutzt.

CONFIGURED
    zeigt an, ob der Hypervisor die CPU einer virtuellen Hardware zugeordnet hat, auf der die Linux-Instanz läuft. Konfigurierte CPUs können durch die Linux-Instanz online gesetzt werden. Diese Spalte enthält nur dann Daten, wenn Ihre Hardware und der Hypervisor die dynamische Zuweisung von CPU-Ressourcen unterstützt.

POLARIZATION
    Diese Spalte enthält Daten für Linux-Instanzen auf virtueller Hardware, deren Hypervisor den CPU-Dispatching-Modus (die Polarisierung) ändern kann. Folgende Polarisierungen sind möglich:

    horizontal
        Die Last wird über alle CPUs verteilt.

    vertical
        Die Last wird auf wenige CPUs konzentriert.

    Bei vertikaler Polarisierung zeigt die Spalte auch den Grad der Konzentration an, »high«, »medium« oder »low«. Diese Spalte enthält nur dann Daten, wenn Ihre Hardware und der Hypervisor die CPU-Polarisierung unterstützt.

    MMHZ
        ist die maximale Taktfrequenz der CPU. Dies ist nützlich, wenn lscpu als Werkzeug zur Bestandsaufnahme der Hardware verwendet wird. Beachten Sie, dass der Megahertz-Wert dynamisch ist und vom CPU-Governor an die aktuell nötigen Ressourcen angepasst wird.

OPTIONEN

-a, --all
    bezieht sowohl Online- als auch Offline-CPUs in die Ausgabe ein (Voreinstellung für -e). Diese Option darf nur zusammen mit -e oder -p angegeben werden.

-b, --online
    begrenzt die Ausgabe auf Online-CPUs (Voreinstellung für -p). Diese Option darf nur zusammen mit -e oder -p angegeben werden.

-c, --offline
    begrenzt die Ausgabe auf Offline-CPUs. Diese Option darf nur zusammen mit -e oder -p angegeben werden.

-e, --extended[=Liste]
    gibt die Prozessorinformation in einem menschenlesbaren Format aus. Wenn das Argument Liste nicht angegeben ist, werden alle Spalten in der Ausgabe angezeigt, für die Daten verfügbar sind. Wenn das Liste-Argument verwendet wird, dürfen zwischen Optionszeichenkette, Gleichheitszeichen und Liste keine Leerzeichen oder sonstigen Freiräume eingefügt werden. Beispiele: »-e=cpu,node« oder »--extended=cpu,node«.

-h, --help
    zeigt eine Hilfe an und beendet das Programm.

-p, --parse[=Liste]
    optimiert die Befehlsausgabe für die maschinelle Auswertung. Falls das Argument Liste nicht angegeben ist, dann geschieht die Ausgabe in standardmäßiger abwärtskompatibler Form. Dieses abwärtskompatible Format verwendet zwei Kommata zum Trennen der Spalten für den CPU-Cache. Falls keine CPU-Caches erkannt werden, wird die Cache-Spalte gar nicht angezeigt.
    Wenn das Liste-Argument verwendet wird, werden die Zwischenspeicher-Spalten mit einem Doppelpunkt (:) getrennt. Beachten Sie, dass das optionale Liste-Argument nicht durch Leerzeichen von der Option getrennt werden darf. Die korrekte Form wäre beispielsweise »-p=cpu,node« oder »--parse=cpu,node«.

-s, --sysroot Verzeichnis
    beschafft Daten für eine fremde Linux-Instanz, nicht jene, auf der der Befehl lscpu aufgerufen wird. Das angegebene Verzeichnis ist die Dateisystemwurzel der zu untersuchenden Linux-Instanz.

-x, --hex
    verwendet die Hexadezimalschreibweise für CPU-Sätze, z.B. »0x3«. Per Vorgabe wird die Listenschreibweise verwendet (z.B. 0,1).

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

FEHLER
Die allgemeine Übersicht über CPU-Familie, Modell usw. basiert stets auf der ersten CPU. Gelegentlich liefert der Kernel in Xen Dom0 falsche Daten. Auf virtueller Hardware kann die Anzahl der Kerne pro Socket usw. falsch sein.

AUTOR
Cai Qian <qcai@redhat.com>
Karel Zak <kzak@redhat.com>
Heiko Carstens <heiko.carstens@de.ibm.com>

SIEHE AUCH
chcpu(8)

VERFÜGBARKEIT
Der Befehl lscpu ist Teil des Pakets util-linux und kann von ftp://ftp.kernel.org/pub/linux/utils/util-linux/ heruntergeladen werden.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.